Content-type: text/html; charset=UTF-8

# x2gosetkeyboard

Section: X2Go Server Tool (PyHoca) (8)
Updated: Aug 2023
Index Return to Main Contents

## NAME

x2gosetkeyboard - Allow server-side Keyboard Setting Updates issued by X2Go Client

## SYNOPSIS

x2gosetkeyboard

## DESCRIPTION

x2gosetkeyboard looks for a 'keyboard' file in the X2Go session directory and introspects the X2Go session keyboard settings requested from the client side.

If no 'keyboard' file is present in the X2Go session directory, nothing happens (i.e. no error will be raised).

## RETURN VALUES

If x2gosetkeyboard successfully sets the session's keyboard parameters an exit code of 0 is returned. Also, if the file ${HOME}/.x2go/C-${X2GO_SESSION}/keyboard is not presented at the expected location, a zero-exitcode is returned.

If the command fails on its way, then the exitcode of the failing command is returned.

## FILES

${HOME}/.x2go/C-${X2GO_SESSION}/keyboard

## AUTHOR

This manual has been written by Mike Gabriel <mike.gabriel@das-netzwerkteam.de> for the X2Go project (https://www.x2go.org).

## Index

NAME
SYNOPSIS
DESCRIPTION
RETURN VALUES
FILES
AUTHOR

This document was created by man2html, using the manual pages.
Time: 20:34:28 GMT, January 29, 2026